aboutsummaryrefslogtreecommitdiffstats
path: root/main/ulogd/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2012-08-02 11:08:43 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2012-08-02 11:10:07 +0000
commitc4abe99137343e58d97d6009ee2c71051b75e4a4 (patch)
tree85a297e9e37f44ef66599027bcdc8b353fcd1762 /main/ulogd/APKBUILD
parent4e6d37e740c7fbf6dc6f299ad828a41855e24450 (diff)
downloadaports-c4abe99137343e58d97d6009ee2c71051b75e4a4.tar.gz
aports-c4abe99137343e58d97d6009ee2c71051b75e4a4.tar.bz2
aports-c4abe99137343e58d97d6009ee2c71051b75e4a4.tar.xz
main/ulogd: upgrade to 2.0.0
Diffstat (limited to 'main/ulogd/APKBUILD')
-rw-r--r--main/ulogd/APKBUILD35
1 files changed, 21 insertions, 14 deletions
diff --git a/main/ulogd/APKBUILD b/main/ulogd/APKBUILD
index 263e6ccd3e..ec2c0e8101 100644
--- a/main/ulogd/APKBUILD
+++ b/main/ulogd/APKBUILD
@@ -1,15 +1,16 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=ulogd
-pkgver=1.24
-pkgrel=7
+pkgver=2.0.0
+pkgrel=0
pkgdesc="A userspace logging daemon for netfilter/iptables related logging"
url="http://netfilter.org/projects/ulogd/index.html"
arch="all"
license="GPL"
depends=
-makedepends="sqlite-dev postgresql-dev libpcap-dev libnfnetlink-dev
-libnetfilter_conntrack-dev pkgconfig openssl-dev"
-subpackages="$pkgname-sqlite $pkgname-pgsql $pkgname-doc"
+makedepends="libmnl-dev libpcap-dev libnetfilter_acct-dev
+ libnfnetlink-dev libnetfilter_conntrack-dev libnetfilter_log-dev
+ pkgconfig mysql-dev openssl-dev postgresql-dev zlib-dev"
+subpackages="$pkgname-mysql $pkgname-pgsql $pkgname-doc"
source="http://www.netfilter.org/projects/$pkgname/files/$pkgname-$pkgver.tar.bz2
ulogd.initd
ulogd.confd
@@ -25,9 +26,8 @@ build() {
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--with-pgsql \
- --with-sqlite3 \
- --with-pgsql-log-ip-as-string
- make -j1|| return 1
+ --with-mysql
+ make || return 1
}
package() {
@@ -37,23 +37,30 @@ package() {
install -Dm644 ulogd.logrotate "$pkgdir"/etc/logrotate.d/ulogd
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
- mkdir -p $pkgdir/usr/share/doc/$pkgname
- cp doc/*table* doc/*.txt doc/*.html $pkgdir/usr/share/doc/$pkgname
+ install -dm755 "$pkgdir"/usr/share/doc/ulogd
+ install -Dm644 ulogd.conf "$pkgdir"/usr/share/doc/ulogd/ulogd.conf.sample
+ install -Dm644 doc/ulogd.sgml "$pkgdir"/usr/share/doc/ulogd/ulogd.sgml
+ install -dm0755 "$pkgdir"/usr/share/ulogd
+ for file in $(ls doc/*.sql)
+ do
+ install -Dm644 $file "$pkgdir"/usr/share/ulogd/$file
+ done
+ find "$pkgdir" -name *.la -delete
}
-sqlite() {
+mysql() {
depends="$pkgname"
mkdir -p "$subpkgdir"/usr/lib/ulogd/
- mv "$pkgdir"/usr/lib/ulogd/ulogd_SQLITE3.so "$subpkgdir"/usr/lib/ulogd/
+ mv "$pkgdir"/usr/lib/ulogd/ulogd_output_MYSQL.so "$subpkgdir"/usr/lib/ulogd/
}
pgsql() {
depends="$pkgname"
mkdir -p "$subpkgdir"/usr/lib/ulogd/
- mv "$pkgdir"/usr/lib/ulogd/ulogd_PGSQL.so "$subpkgdir"/usr/lib/ulogd/
+ mv "$pkgdir"/usr/lib/ulogd/ulogd_output_PGSQL.so "$subpkgdir"/usr/lib/ulogd/
}
-md5sums="05b4ed2926b9a22aaeaf642917bbf8ff ulogd-1.24.tar.bz2
+md5sums="211e68781e3860959606fc94b97cf22e ulogd-2.0.0.tar.bz2
5b229ed2622f1e5871a04cae62053112 ulogd.initd
b9b2fa217ee02211debee5a5dffdcda7 ulogd.confd
77688e9c300750f5423ed2ad37ae8b32 ulogd.logrotate"